unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    Edit3: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
    UVector;
const
    N = 20;
var
    Vect : array [1..N] of Integer;

procedure TForm1.Button1Click(Sender: TObject);
var
  S : string;
  MaxEl : Integer;
begin
  MaxEl := Vect_Max (Vect, N) ;
  Str(MaxEl:7,S) ;
  Edit2.Text := S;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  S : string;
  MinEl : Integer;
begin
  MinEl := Vect_Min(Vect, N);
  Str(MinEl:7,S);
  Edit3.Text := S;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  S, El: string;
  i    : Integer;
begin
  Randomize;
  S := '';
  for i:=1 to N do
  begin
    Vect[i]:=Random(10);
    Str(Vect[i]:4, El);
    S := S + El;
  end;
  Edit1.Text := S;
end;

end.
